Package org.eclipse.emf.cdo.ui.widgets

# Class CommitHistoryComposite

java.lang.Object
org.eclipse.swt.widgets.Widget
org.eclipse.swt.widgets.Control
org.eclipse.swt.widgets.Scrollable
org.eclipse.swt.widgets.Composite
org.eclipse.emf.cdo.ui.widgets.CommitHistoryComposite

All Implemented Interfaces:
  `Drawable`

public class CommitHistoryComposite extends Composite
A UI component that renders a the elements of a `CDOCommitHistory` in form of a commit table with a branch tree.

Since:
  4.2
Author:
  Eike Stepper

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`CommitHistoryComposite.ContentProvider`
Provides the content of a CommitHistoryComposite, i.e., the elements of a `CDOCommitHistory`.
`static class`
`CommitHistoryComposite.Input`
Encapsulates the input of a `CommitHistoryComposite`.
`static class`
`CommitHistoryComposite.LabelProvider`
A `TableLabelProvider` for the content of a CommitHistoryComposite, i.e., the elements of a `CDOCommitHistory`.

## Field Summary

### Fields inherited from class org.eclipse.swt.widgets.Control

`handle`

## Constructor Summary

Constructors
Constructor
Description
`CommitHistoryComposite(Composite parent, int viewerStyle)`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`commitInfoChanged(CDOCommitInfo newCommitInfo)`
`protected CommitHistoryComposite.ContentProvider`
`createContentProvider()`
`protected CDOCommitHistory`
`createHistory(CDOSession session, CDOBranch branch, CDOObject object)`
`protected CommitHistoryComposite.LabelProvider`
`createLabelProvider()`
`protected TableViewer`
`createTableViewer()`
`void`
`dispose()`
`protected void`
`doubleClicked(CDOCommitInfo commitInfo)`
`final CDOCommitHistory`
`getHistory()`
`final CommitHistoryComposite.Input`
`getInput()`
`final CommitHistoryComposite.LabelProvider`
`getLabelProvider()`
`final TableViewer`
`getTableViewer()`
`final int`
`getViewerStyle()`
`void`
`refreshLayout()`
`void`
`refreshLayout(boolean refreshCommits)`
`boolean`
`setFocus()`
`final void`
`setInput(CommitHistoryComposite.Input input)`

### Methods inherited from class org.eclipse.swt.widgets.Composite

`changed, checkSubclass, drawBackground, getBackgroundMode, getChildren, getLayout, getLayoutDeferred, getTabList, isLayoutDeferred, layout, layout, layout, layout, layout, setBackgroundMode, setLayout, setLayoutDeferred, setTabList, toString`

### Methods inherited from class org.eclipse.swt.widgets.Scrollable

`computeTrim, getClientArea, getHorizontalBar, getScrollbarsMode, getVerticalBar`

### Methods inherited from class org.eclipse.swt.widgets.Control

`addControlListener, addDragDetectListener, addFocusListener, addGestureListener, addHelpListener, addKeyListener, addMenuDetectListener, addMouseListener, addMouseMoveListener, addMouseTrackListener, addMouseWheelListener, addPaintListener, addTouchListener, addTraverseListener, computeSize, computeSize, dragDetect, dragDetect, forceFocus, getAccessible, getBackground, getBackgroundImage, getBorderWidth, getBounds, getCursor, getDragDetect, getEnabled, getFont, getForeground, getLayoutData, getLocation, getMenu, getMonitor, getOrientation, getParent, getRegion, getShell, getSize, getTextDirection, getToolTipText, getTouchEnabled, getVisible, internal_dispose_GC, internal_new_GC, isEnabled, isFocusControl, isReparentable, isVisible, moveAbove, moveBelow, pack, pack, print, redraw, redraw, removeControlListener, removeDragDetectListener, removeFocusListener, removeGestureListener, removeHelpListener, removeKeyListener, removeMenuDetectListener, removeMouseListener, removeMouseMoveListener, removeMouseTrackListener, removeMouseWheelListener, removePaintListener, removeTouchListener, removeTraverseListener, requestLayout, setBackground, setBackgroundImage, setBounds, setBounds, setCapture, setCursor, setDragDetect, setEnabled, setFont, setForeground, setLayoutData, setLocation, setLocation, setMenu, setOrientation, setParent, setRedraw, setRegion, setSize, setSize, setTextDirection, setToolTipText, setTouchEnabled, setVisible, toControl, toControl, toDisplay, toDisplay, traverse, traverse, traverse, update`

### Methods inherited from class org.eclipse.swt.widgets.Widget

`addDisposeListener, addListener, checkWidget, getData, getData, getDisplay, getListeners, getStyle, isAutoDirection, isDisposed, isListening, notifyListeners, removeDisposeListener, removeListener, removeListener, reskin, setData, setData`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.swt.graphics.Drawable

`isAutoScalable`

## Constructor Details

### CommitHistoryComposite

public CommitHistoryComposite(Composite parent, int viewerStyle)

## Method Details

### getViewerStyle

public final int getViewerStyle()

Since:
  4.4

### getTableViewer

public final TableViewer getTableViewer()

### getLabelProvider

public final CommitHistoryComposite.LabelProvider getLabelProvider()

### getInput

public final CommitHistoryComposite.Input getInput()

### setInput

public final void setInput(CommitHistoryComposite.Input input)

### refreshLayout

public void refreshLayout()

### refreshLayout

public void refreshLayout(boolean refreshCommits)

Since:
  4.6

### getHistory

public final CDOCommitHistory getHistory()

### setFocus

public boolean setFocus()

Overrides:
  `setFocus` in class `Composite`

### dispose

public void dispose()

Overrides:
  `dispose` in class `Widget`

### createTableViewer

protected TableViewer createTableViewer()

### createContentProvider

protected CommitHistoryComposite.ContentProvider createContentProvider()

### createLabelProvider

protected CommitHistoryComposite.LabelProvider createLabelProvider()

### createHistory

protected CDOCommitHistory createHistory(CDOSession session, CDOBranch branch, CDOObject object)

### commitInfoChanged

protected void commitInfoChanged(CDOCommitInfo newCommitInfo)

### doubleClicked

protected void doubleClicked(CDOCommitInfo commitInfo)